Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

# Class CashBalance3

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_02.CashBalance3

public class CashBalance3 extends Object

Java class for CashBalance3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CashBalance3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}BalanceType12"/>
             <element name="CdtLine" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}CreditLine2" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}CreditDebitCode"/>
             <element name="Dt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}DateAndDateTimeChoice"/>
             <element name="Avlbty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}CashBalanceAvailability2" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ActiveOrHistoricCurrencyAndAmount`
`amt`
`protected List<CashBalanceAvailability2>`
`avlbty`
`protected CreditDebitCode`
`cdtDbtInd`
`protected CreditLine2`
`cdtLine`
`protected DateAndDateTimeChoice`
`dt`
`protected BalanceType12`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`CashBalance3()`

## Method Summary

Modifier and Type
Method
Description
`ActiveOrHistoricCurrencyAndAmount`
`getAmt()`
Gets the value of the amt property.
`List<CashBalanceAvailability2>`
`getAvlbty()`
Gets the value of the avlbty property.
`CreditDebitCode`
`getCdtDbtInd()`
Gets the value of the cdtDbtInd property.
`CreditLine2`
`getCdtLine()`
Gets the value of the cdtLine property.
`DateAndDateTimeChoice`
`getDt()`
Gets the value of the dt property.
`BalanceType12`
`getTp()`
Gets the value of the tp property.
`void`
`setAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the amt property.
`void`
`setCdtDbtInd(CreditDebitCode value)`
Sets the value of the cdtDbtInd property.
`void`
`setCdtLine(CreditLine2 value)`
Sets the value of the cdtLine property.
`void`
`setDt(DateAndDateTimeChoice value)`
Sets the value of the dt property.
`void`
`setTp(BalanceType12 value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tp

protected BalanceType12 tp

### cdtLine

protected CreditLine2 cdtLine

### amt

protected ActiveOrHistoricCurrencyAndAmount amt

### cdtDbtInd

protected CreditDebitCode cdtDbtInd

### dt

protected DateAndDateTimeChoice dt

### avlbty

protected List<CashBalanceAvailability2> avlbty

## Constructor Details

### CashBalance3

public CashBalance3()

## Method Details

### getTp

public BalanceType12 getTp()
Gets the value of the tp property.

Returns:
  possible object is `BalanceType12`

### setTp

public void setTp(BalanceType12 value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `BalanceType12`

### getCdtLine

public CreditLine2 getCdtLine()
Gets the value of the cdtLine property.

Returns:
  possible object is `CreditLine2`

### setCdtLine

public void setCdtLine(CreditLine2 value)
Sets the value of the cdtLine property.

Parameters:
  `value` - allowed object is `CreditLine2`

### getAmt

public ActiveOrHistoricCurrencyAndAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setAmt

public void setAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getCdtDbtInd

public CreditDebitCode getCdtDbtInd()
Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

### setCdtDbtInd

public void setCdtDbtInd(CreditDebitCode value)
Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`

### getDt

public DateAndDateTimeChoice getDt()
Gets the value of the dt property.

Returns:
  possible object is `DateAndDateTimeChoice`

### setDt

public void setDt(DateAndDateTimeChoice value)
Sets the value of the dt property.

Parameters:
  `value` - allowed object is `DateAndDateTimeChoice`

### getAvlbty

public List<CashBalanceAvailability2> getAvlbty()
Gets the value of the avlbty property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the avlbty property.

For example, to add a new item, do as follows:

        getAvlbty().add(newItem);

Objects of the following type(s) are allowed in the list `CashBalanceAvailability2`